cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Upgraded to Mac OS 14 Sonoma - now can't connect EOS Utility to EOS Rebel T7

CoinGuy
Contributor

I use my Eos Rebel T7 on a custom camera stand to take photos of coins as part of my business. I connect via USB cable to my MacBook Pro and use Remote Shooting in EOS Utility 3.0 to focus, zoom and take photos. Then I stupidly upgraded from OS Ventura to OS 14 Sonoma, and now EOS Utility 3.0 doesn't work. I've checked the cable - it's working, as I see the camera in my Image Capture app. The EOS Utility just doesn't respond - sometimes I get nothing, and sometimes I get to the right screen where I would select Remote Shooting, but it's greyed out and I just have the spinning pinwheel. I have to force quit the app because it's not responding. So, clearly I upgraded to an OS that is too new and isn't compatible with EOS Utility. Is there any way to make my system work so I can still use live shooting? Will Canon be releasing an updated EOS Utility anytime soon? 

1 ACCEPTED SOLUTION

There is a paid app called Kuuvik Capture from the App Store.

John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic

View solution in original post

47 REPLIES 47

CoinGuy
Contributor

Adding - I'm using version 3.16.1 of EOS Utility.  Also wondering if there's another software option that will accomplish what I'm doing (live shooting using the computer screen when attached to the camera)?

There is a paid app called Kuuvik Capture from the App Store.

John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic

Thank you! This might be a great solution.

I found DSLR Assistant app as well, which is cheaper and seems to fit the bill, since I mainly need the live shooting function. Any experience with this one?

I don’t have experience with either one. Choose whatever works best for you. 

John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic

No, this is not a Solution.
I saw a lot of responses from you advertising this app. 
The problem is EOS UTILITY. Its not compatible on OS X 14 (Sonoma) Anda Canon MUST be upgraded

EOS Digital Rebel / EF 28-135mm f3.5 - 5.6 IS USM / EFS 15-55mm f3.5 - 5.6
EOS R6 / EOS R50 / RF 7 Art. 35mm f1.4 / RF 50mm f1.8 STM / RF 15-35mm f2.8 L / RF 24-70mm f2.8 L / RF 70-200mm f2.8 L

I don’t disagree. OP needed an immediate solution. If you can wait for Canon to update the app do so. Don’t impose your need (or not need) on someone else. 

John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic

The year is ended, any update on sight, my camera still not working on Sonoma 14.2, even not install correctly.

Hello aleksiralda,

This is a newer operating system, and our program management is working on getting updates together for that operating system. Now with that said, Apple has an article that you may want to take a look at HERE.

Avatar
click here to view the press release
Announcements